#Cellar Plot event, the party finds themselves in a room full of Latruin's Veil
from eventAPI import getTag, setTag, giveItems, optionInput
from APIUtils import isclearall, showMessage

CellarFlag1 = 0

def fireEvent(e):
    global CellarFlag1
    CellarFlag1 = getTag(e, "CellarFlag1")
    if (CellarFlag1 == 1):
        return 1
    showMessage(e,
        ["As you enter this room, you notice the walls are lined with crates.",
	 "They have something printed on the sides of them: eXo! - This must be the brew Yeodaugh spoke of.",
         "You hear muttering close by, and think it wise to ready yourself for battle"],
        optionInput)
    CellarFlag1 = 1
    setTag(e, "CellarFlag1", CellarFlag1)
    return 0
